Modele

## Class Question

- java.lang.Object
- - Modele.Question

-     public class Question
      extends java.lang.Object

  Modéle représentant une question.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `intitule` Intitulé de la qustion.
    `protected int` | `reponse` Numéro bonne réponses.
    `protected java.lang.String` | `reponse1` Réponse une.
    `protected java.lang.String` | `reponse2` Réponse deux.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Question(java.lang.String intitule, java.lang.String reponse1, java.lang.String reponse2, int reponse)` Constructeur initiant les champs de la question.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIntitule()` Renvoie l'intitulé de la question.
    `int` | `getReponse()` Renvoie le numéro de la bonne réponse.
    `java.lang.String` | `getReponse1()` Renvoie la réponse une.
    `java.lang.String` | `getReponse2()` Renvoie la réponse deux.
    `void` | `setIntitule(java.lang.String intitule)` Modifie l'intitulé de la question.
    `void` | `setReponse(int reponse)` Modifie le numéro de la bonne réponse.
    `void` | `setReponse1(java.lang.String reponse1)` Modifie la réponse une.
    `void` | `setReponse2(java.lang.String reponse2)` Modifie la réponse deux.
    `java.lang.String` | `toString()` Renvoie une chaine représentant l'objet, sous la forme: "intitulé | bonneRéponse".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### intitule

          protected java.lang.String intitule

      Intitulé de la qustion.

    - #### reponse1

          protected java.lang.String reponse1

      Réponse une.

    - #### reponse2

          protected java.lang.String reponse2

      Réponse deux.

    - #### reponse

          protected int reponse

      Numéro bonne réponses.

  - ### Constructor Detail

    - #### Question

          public Question(java.lang.String intitule,
                  java.lang.String reponse1,
                  java.lang.String reponse2,
                  int reponse)

      Constructeur initiant les champs de la question.
      Parameters:
        `intitule` - Intitulé de la question.
        `reponse1` - Réponse une.
        `reponse2` - Réponse deux.
        `reponse` - Numéro bonne réponse.

  - ### Method Detail

    - #### getIntitule

          public java.lang.String getIntitule()

      Renvoie l'intitulé de la question.
      Returns:
        l'intitulé de la question.

    - #### setIntitule

          public void setIntitule(java.lang.String intitule)

      Modifie l'intitulé de la question.

    - #### getReponse1

          public java.lang.String getReponse1()

      Renvoie la réponse une.
      Returns:
        la réponse une.

    - #### setReponse1

          public void setReponse1(java.lang.String reponse1)

      Modifie la réponse une.

    - #### getReponse2

          public java.lang.String getReponse2()

      Renvoie la réponse deux.
      Returns:
        la réponse deux.

    - #### setReponse2

          public void setReponse2(java.lang.String reponse2)

      Modifie la réponse deux.

    - #### getReponse

          public int getReponse()

      Renvoie le numéro de la bonne réponse.
      Returns:
        le numéro de la bonne réponse.

    - #### setReponse

          public void setReponse(int reponse)

      Modifie le numéro de la bonne réponse.

    - #### toString

          public java.lang.String toString()

      Renvoie une chaine représentant l'objet, sous la forme: "intitulé | bonneRéponse".
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        une chaine représentant l'objet.